<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
    <head>
        <title>Daftar Jadwal</title>
        <link rel="stylesheet" th:href="@{style.css}">
    </head>

    <body>
        <div class="table-container">
            <h2>Jadwal yang Tersedia</h2>
            <table>
                <thead>
                    <tr>
                    <th>Nama</th>
                    <th>Kelas</th>
                    <th>Kode Asdos</th>
                    <th>Tanggal</th>
                    <th>Waktu</th>
                    </tr>
                </thead>
                <tbody>
                    <!-- if block untuk meng-handle jika belum ada jadwal -->
                    <tr th:if="${daftarAsdos.empty}">
                        <td colspan="5"> Belum ada Jadwal yang tersedia! Hubungi Asisten untuk informasi lebih lanjut </td>
                    </tr>
                    <!-- iterasi daftar asdos untuk ditampilkan dalam tabel -->
                    <tr th:each="asdos : ${daftarAsdos}">
                        <td><span th:text="${asdos.getNama()}"></span></td>
                        <td><span th:text=" ${asdos.getKelas()}"></span></td>
                        <td><span th:text=" ${asdos.getKodeAsdos()}"></span></td>
                        <td><span th:each=" k: ${asdos.getDaftarDate()}" th:text="${k}"></span></td>
                        <td><span th:each=" k: ${asdos.getDaftarTime()}" th:text="${k}"></span></td>
                    </tr>
                </tbody>
            </table>
            <a href="/"><button>Kembali ke halaman utama</button></a>
        </div>
    </body>
</html>